SDL_DisplayData Struct Reference

`#include <SDL_cocoamodes.h>`

Inheritance diagram for SDL_DisplayData:
[legend]
Collaboration diagram for SDL_DisplayData:
[legend]

## Data Fields

CGDirectDisplayID | display
uint32_t | encoder_id
uint32_t | crtc_id
drmModeModeInfo | cur_mode
DISPMANX_DISPLAY_HANDLE_T | dispman_display
EGLNativeDisplayType | native_display
TCHAR | DeviceName [32]
HMONITOR | MonitorHandle
int | screen
Visual * | visual
int | depth
int | scanline_pad
int | x
int | y
float | ddpi
float | hdpi
float | vdpi
int | use_xinerama
int | use_xrandr
int | use_vidmode

## Properties

UIScreen * | uiscreen

## Detailed Description

Definition at line 26 of file SDL_cocoamodes.h.

## Field Documentation

## crtc_id

uint32_t SDL_DisplayData::crtc_id

Definition at line 55 of file SDL_kmsdrmvideo.h.

## cur_mode

drmModeModeInfo SDL_DisplayData::cur_mode

Definition at line 56 of file SDL_kmsdrmvideo.h.

## ddpi

float SDL_DisplayData::ddpi

Definition at line 34 of file SDL_x11modes.h.

## depth

int SDL_DisplayData::depth

Definition at line 30 of file SDL_x11modes.h.

## DeviceName

TCHAR SDL_DisplayData::DeviceName[32]

Definition at line 28 of file SDL_windowsmodes.h.

## display

CGDirectDisplayID SDL_DisplayData::display

Definition at line 28 of file SDL_cocoamodes.h.

## dispman_display

DISPMANX_DISPLAY_HANDLE_T SDL_DisplayData::dispman_display

Definition at line 41 of file SDL_rpivideo.h.

## encoder_id

uint32_t SDL_DisplayData::encoder_id

Definition at line 54 of file SDL_kmsdrmvideo.h.

## hdpi

float SDL_DisplayData::hdpi

Definition at line 35 of file SDL_x11modes.h.

## MonitorHandle

HMONITOR SDL_DisplayData::MonitorHandle

Definition at line 29 of file SDL_windowsmodes.h.

## native_display

EGLNativeDisplayType SDL_DisplayData::native_display

Definition at line 56 of file SDL_vivantevideo.h.

## scanline_pad

int SDL_DisplayData::scanline_pad

Definition at line 31 of file SDL_x11modes.h.

## screen

int SDL_DisplayData::screen

Definition at line 28 of file SDL_x11modes.h.

## use_vidmode

int SDL_DisplayData::use_vidmode

Definition at line 40 of file SDL_x11modes.h.

## use_xinerama

int SDL_DisplayData::use_xinerama

Definition at line 38 of file SDL_x11modes.h.

## use_xrandr

int SDL_DisplayData::use_xrandr

Definition at line 39 of file SDL_x11modes.h.

## vdpi

float SDL_DisplayData::vdpi

Definition at line 36 of file SDL_x11modes.h.

## visual

Visual* SDL_DisplayData::visual

Definition at line 29 of file SDL_x11modes.h.

## x

int SDL_DisplayData::x

Definition at line 32 of file SDL_x11modes.h.

## y

int SDL_DisplayData::y

Definition at line 33 of file SDL_x11modes.h.

## Property Documentation

## uiscreen

UIScreen* SDL_DisplayData::uiscreen

read write nonatomic strong

Definition at line 30 of file SDL_uikitmodes.h.

The documentation for this struct was generated from the following files:

- src/video/cocoa/SDL_cocoamodes.h
- src/video/kmsdrm/SDL_kmsdrmvideo.h
- src/video/raspberry/SDL_rpivideo.h
- src/video/uikit/SDL_uikitmodes.h
- src/video/vivante/SDL_vivantevideo.h
- src/video/windows/SDL_windowsmodes.h
- src/video/x11/SDL_x11modes.h